summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xruntest9
-rw-r--r--src/Makefile2
2 files changed, 10 insertions, 1 deletions
diff --git a/runtest b/runtest
new file mode 100755
index 000000000..2ea4d39be
--- /dev/null
+++ b/runtest
@@ -0,0 +1,9 @@
+#!/bin/bash
+TCL=tclsh8.5
+which $TCL
+if [ "$?" != "0" ]
+then
+ echo "You need '$TCL' in order to run the Redis test"
+ exit 1
+fi
+$TCL tests/test_helper.tcl $*
diff --git a/src/Makefile b/src/Makefile
index 5354746bd..ee4bfc500 100644
--- a/src/Makefile
+++ b/src/Makefile
@@ -207,7 +207,7 @@ dep:
$(CC) -MM *.c -I ../deps/hiredis -I ../deps/linenoise
test: redis-server redis-check-aof
- @(cd ..; (which tclsh8.5 >/dev/null && tclsh8.5 tests/test_helper.tcl --tags "${TAGS}") || echo "You need to install Tcl (tclsh8.5) in order to run tests.")
+ @(cd ..; ./runtest)
bench:
./redis-benchmark